# Prepend script for task Compile: task.compile.glib-2.0_2.58.0-r0 (make_all-prepend.sh)
# This script was imported from Yocto but may have been modified locally

    if [ False = True ]; then
	# Write out a qemu wrapper that will be given to gtkdoc-scangobj so that it
	# can run target helper binaries through that.
	qemu_binary="PSEUDO_UNLOAD=1 qemu-arm -r 3.2.0  -L $STAGING_DIR_HOST -E LD_LIBRARY_PATH=\$GIR_EXTRA_LIBS_PATH:$STAGING_DIR_HOST/${libdir}:$STAGING_DIR_HOST/${base_libdir} "
	cat > ${buildDir}/gtkdoc-qemuwrapper << EOF
export GIO_MODULE_DIR=${TARGET_SYSROOT_LOC}${libdir}/gio/modules-dummy

GIR_EXTRA_LIBS_PATH=\`find ${buildDir} -name *.so -printf "%h\n"|sort|uniq| tr '\n' ':'\`\$GIR_EXTRA_LIBS_PATH
GIR_EXTRA_LIBS_PATH=\`find ${buildDir} -name .libs| tr '\n' ':'\`\$GIR_EXTRA_LIBS_PATH

if [ -d ".libs" ]; then
    $qemu_binary ".libs/\$@"
else
    $qemu_binary "\$@"
fi

if [ \$? -ne 0 ]; then
    echo "If the above error message is about missing .so libraries, then setting up GIR_EXTRA_LIBS_PATH in the recipe should help."
    echo "(typically like this: GIR_EXTRA_LIBS_PATH=\"\$""{B}/something/.libs\" )"
    exit 1
fi
EOF
	log_run chmod +x ${buildDir}/gtkdoc-qemuwrapper
    fi
