#!/bin/bash
# Script to run package configure
# Please edit this script to configure the package if needed

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

# We can't add zlib-dynamic nor zlib as, for some reason, it does not find BIO_f_zlib...

MACHINE=$configure_host_alias
SYSTEM=Linux
RELEASE=4.0
VERSION=SW4L
BUILD=SW4L
CROSS_COMPILE=$configure_host_alias-
CC=gcc
RANLIB=${CROSS_COMPILE}ranlib

# RELEASE above should come from the chosen Linux kernel...

do_buildstep_prepend

(
export MACHINE
export SYSTEM
export RELEASE
export VERSION
export BUILD
export CROSS_COMPILE
export CC
export RANLIB

log_exec ./config $configure_other_flags
)

do_buildstep_append