#!/bin/bash
#
# Script to install pkg-config-cross
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

# Install native wrapper around pkg-config to be executed from the native sysroot
mkdir -p $installDir$bindir
log_exec cp cross-pkg-config $installDir$bindir/${arch_compiler_prefix}-pkg-config
log_exec chmod a+x $installDir$bindir/${arch_compiler_prefix}-pkg-config
log_exec ln -s ${arch_compiler_prefix}-pkg-config $installDir$bindir/${arch_compiler_prefix}-pkg-config-cross
log_exec ln -s ${arch_compiler_prefix}-pkg-config $installDir$bindir/pkg-config-cross 

do_buildstep_append