#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	install -d $installDir$sbindir
	install -m 0755 $buildDir/update-rc.d $installDir$sbindir/update-rc.d
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

