#!/bin/bash
#
# Recipe-specific step for task Compile: task.compile.wpa-supplicant_2.9-r0 (make_all.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_all() {
	unset CFLAGS CPPFLAGS CXXFLAGS
	sed -e "s:CFLAGS\ =.*:& \$(EXTRA_CFLAGS):g" -i ${buildDir}/src/lib.rules
	do_make -C wpa_supplicant
}

do_buildstep_prepend

local_do_make_all

do_buildstep_append

