#!/bin/bash
#
# script to install configure files
#
# datadir and sysconfdir are defined by autoconf options or with appropriate defaults

S=$(dirname $installDir)/configuration_files
D=${installDir}

log_exec install -d ${D}${sysconfdir}
log_exec install -d ${D}${sysconfdir}/xdg/weston
log_exec install -d ${D}${datadir}/x11/xkb
log_exec install -m 0644 ${S}/wallpaper_1920x1080.png ${D}${datadir}/weston/
log_exec install -m 0644 ${S}/weston.ini ${D}${sysconfdir}
log_exec install -m 0644 ${S}/weston.png ${D}${datadir}/weston/
