#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_exec gnu-configize --force ${PROJECT_LOC}
log_exec sed -e "s%/usr/contrib/X11R6%${SYSROOT_LOC}/usr/lib/%g" -i ../configure

do_configure



do_buildstep_append