#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

require_script configure_utils.sh

do_buildstep_prepend

touch .already.autoreconfed

for i in ../apr-native_*; do
	if [ -d "$i" ]; then
		apr_source=$(readlink -e $i)
	fi
done

log_exec ./buildconf --with-apr=$apr_source
log_exec autoreconf --verbose -I build

do_buildstep_append