#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

# We can end up patching macros, which would then mean autoreconf
# Cheat by saying everything is up to date.
for file in aclocal.m4 Makefile.in configure; do
	if [ -r $srcDir/$file ]; then
		touch $srcDir/$file
		sleep 1
	fi
done
sleep 2

do_configure

do_buildstep_append