#!/bin/bash
# Script to install gcc script into bindir

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_exec install -d $installDir$bindir
log_exec install -m 775 native-gcc $installDir$bindir
for tool in ar as c++ c++filt cpp g++ gcc ld nm objcopy \
            objdump ranlib readelf size strings strip
do
	log_exec ln -nfs native-gcc $installDir$bindir/$tool
	log_exec ln -nfs native-gcc $installDir$bindir/$native_build_alias-$tool
done

do_buildstep_append
