# Append script for task Install: task.install.glib-2.0-native_2.58.0-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	if [ -f ${installDir}${bindir}/gtester-report ]; then
		sed ${installDir}${bindir}/gtester-report -i -e '1s|^#!.*|#!/usr/bin/env python3|'
	fi

	# Remove some unpackaged files
	rm -rf ${installDir}${datadir}/${recipe_base_name}/codegen/__pycache__
	rm -f ${installDir}${datadir}/${recipe_base_name}/codegen/*.pyc
	rm -f ${installDir}${datadir}/${recipe_base_name}/codegen/*.pyo

	if [ -e ${installDir}${libdir}/charset.alias ]; then
		rm -f ${installDir}${libdir}/charset.alias
	fi

	# Make sure gio-querymodules is unique among multilibs
	if test "x" != "x"; then
		log_run mv ${installDir}${libexecdir}/gio-querymodules ${installDir}${libexecdir}/gio-querymodules
	fi
