#!/bin/bash
# Script to run make install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

source_script "scons_utils.sh"

do_buildstep_prepend

$NATIVE_SYSROOT_LOC/usr/bin/scons $scons_j_option PREFIX=$prefix \
	APR=$(which apr-1-config) APU=$(which apu-1-config) \
	CC=${configure_host_alias}-gcc CFLAGS="-Wl,-O1" \
	OPENSSL=$SYSROOT_LOC/usr 

do_buildstep_append
